import React from 'react';
interface AccordionItemPropTypes {
    disabled?: boolean;
    expanded?: boolean;
    title: string;
    children: React.ReactNode;
}
declare const AccordionItem: React.FC<AccordionItemPropTypes>;
interface AccordionProps {
    multi?: boolean;
    className?: string;
    children: React.ReactElement<AccordionItemPropTypes>[];
    ref?: React.RefObject<AccordionRefObject>;
}
export interface AccordionRefObject {
    openAll(): void;
    closeAll(): void;
    open(index: number): void;
    close(index: number): void;
    toggle(index: number): void;
}
declare let Accordion: React.RefForwardingComponent<AccordionRefObject, AccordionProps>;
export { AccordionItem, Accordion };
