export interface OriginalEvaIcon {
    toSvg(options: EvaIconOptions): string;
}
export declare type Icon = (options?: EvaIconOptions) => string;
export interface EvaIconOptions {
    width?: string;
    height?: string;
    fill?: string;
    class?: string;
    animation?: {
        type?: 'zoom' | 'pulse' | 'shake' | 'flip';
        hover?: boolean;
        infinite?: boolean;
    };
}
export interface Icons {
    activity: Icon;
    'alert-circle': Icon;
    'alert-triangle': Icon;
    archive: Icon;
    'arrow-back': Icon;
    'arrow-circle-down': Icon;
    'arrow-circle-left': Icon;
    'arrow-circle-right': Icon;
    'arrow-circle-up': Icon;
    'arrow-down': Icon;
    'arrow-downward': Icon;
    'arrow-forward': Icon;
    'arrow-ios-back': Icon;
    'arrow-ios-downward': Icon;
    'arrow-ios-forward': Icon;
    'arrow-ios-upward': Icon;
    'arrow-left': Icon;
    'arrow-right': Icon;
    'arrow-up': Icon;
    'arrow-upward': Icon;
    'arrowhead-down': Icon;
    'arrowhead-left': Icon;
    'arrowhead-right': Icon;
    'arrowhead-up': Icon;
    at: Icon;
    'attach-2': Icon;
    attach: Icon;
    award: Icon;
    backspace: Icon;
    'bar-chart-2': Icon;
    'bar-chart': Icon;
    battery: Icon;
    behance: Icon;
    'bell-off': Icon;
    bell: Icon;
    bluetooth: Icon;
    'book-open': Icon;
    book: Icon;
    bookmark: Icon;
    briefcase: Icon;
    browser: Icon;
    brush: Icon;
    bulb: Icon;
    calendar: Icon;
    camera: Icon;
    car: Icon;
    cast: Icon;
    charging: Icon;
    'checkmark-circle-2': Icon;
    'checkmark-circle': Icon;
    'checkmark-square-2': Icon;
    'checkmark-square': Icon;
    checkmark: Icon;
    'chevron-down': Icon;
    'chevron-left': Icon;
    'chevron-right': Icon;
    'chevron-up': Icon;
    clipboard: Icon;
    clock: Icon;
    'close-circle': Icon;
    'close-square': Icon;
    close: Icon;
    'cloud-download': Icon;
    'cloud-upload': Icon;
    'code-download': Icon;
    code: Icon;
    collapse: Icon;
    'color-palette': Icon;
    'color-picker': Icon;
    compass: Icon;
    copy: Icon;
    'corner-down-left': Icon;
    'corner-down-right': Icon;
    'corner-left-down': Icon;
    'corner-left-up': Icon;
    'corner-right-down': Icon;
    'corner-right-up': Icon;
    'corner-up-left': Icon;
    'corner-up-right': Icon;
    'credit-card': Icon;
    crop: Icon;
    cube: Icon;
    'diagonal-arrow-left-down': Icon;
    'diagonal-arrow-left-up': Icon;
    'diagonal-arrow-right-down': Icon;
    'diagonal-arrow-right-up': Icon;
    'done-all': Icon;
    download: Icon;
    'droplet-off': Icon;
    droplet: Icon;
    'edit-2': Icon;
    edit: Icon;
    email: Icon;
    expand: Icon;
    'external-link': Icon;
    'eye-off-2': Icon;
    'eye-off': Icon;
    eye: Icon;
    facebook: Icon;
    'file-add': Icon;
    'file-remove': Icon;
    'file-text': Icon;
    file: Icon;
    film: Icon;
    flag: Icon;
    'flash-off': Icon;
    flash: Icon;
    'flip-2': Icon;
    flip: Icon;
    'folder-add': Icon;
    'folder-remove': Icon;
    folder: Icon;
    funnel: Icon;
    gift: Icon;
    github: Icon;
    'globe-2': Icon;
    'globe-3': Icon;
    globe: Icon;
    google: Icon;
    grid: Icon;
    'hard-drive': Icon;
    hash: Icon;
    headphones: Icon;
    heart: Icon;
    home: Icon;
    'image-2': Icon;
    image: Icon;
    inbox: Icon;
    info: Icon;
    keypad: Icon;
    layers: Icon;
    layout: Icon;
    'link-2': Icon;
    link: Icon;
    linkedin: Icon;
    list: Icon;
    lock: Icon;
    'log-in': Icon;
    'log-out': Icon;
    map: Icon;
    maximize: Icon;
    'menu-2': Icon;
    'menu-arrow': Icon;
    menu: Icon;
    'message-circle': Icon;
    'message-square': Icon;
    'mic-off': Icon;
    mic: Icon;
    minimize: Icon;
    'minus-circle': Icon;
    'minus-square': Icon;
    minus: Icon;
    monitor: Icon;
    moon: Icon;
    'more-horizontal': Icon;
    'more-vertical': Icon;
    move: Icon;
    music: Icon;
    'navigation-2': Icon;
    navigation: Icon;
    npm: Icon;
    'options-2': Icon;
    options: Icon;
    pantone: Icon;
    'paper-plane': Icon;
    'pause-circle': Icon;
    people: Icon;
    percent: Icon;
    'person-add': Icon;
    'person-delete': Icon;
    'person-done': Icon;
    'person-remove': Icon;
    person: Icon;
    'phone-call': Icon;
    'phone-missed': Icon;
    'phone-off': Icon;
    phone: Icon;
    'pie-chart-2': Icon;
    'pie-chart': Icon;
    pin: Icon;
    'play-circle': Icon;
    'plus-circle': Icon;
    'plus-square': Icon;
    plus: Icon;
    power: Icon;
    pricetags: Icon;
    printer: Icon;
    'question-mark-circle': Icon;
    'question-mark': Icon;
    'radio-button-off': Icon;
    'radio-button-on': Icon;
    radio: Icon;
    recording: Icon;
    refresh: Icon;
    repeat: Icon;
    'rewind-left': Icon;
    'rewind-right': Icon;
    save: Icon;
    scissors: Icon;
    search: Icon;
    'settings-2': Icon;
    settings: Icon;
    shake: Icon;
    share: Icon;
    'shield-off': Icon;
    shield: Icon;
    'shopping-bag': Icon;
    'shopping-cart': Icon;
    'shuffle-2': Icon;
    shuffle: Icon;
    'skip-back': Icon;
    'skip-forward': Icon;
    slash: Icon;
    smartphone: Icon;
    speaker: Icon;
    square: Icon;
    star: Icon;
    'stop-circle': Icon;
    sun: Icon;
    swap: Icon;
    sync: Icon;
    text: Icon;
    'thermometer-minus': Icon;
    'thermometer-plus': Icon;
    thermometer: Icon;
    'toggle-left': Icon;
    'toggle-right': Icon;
    'trash-2': Icon;
    trash: Icon;
    'trending-down': Icon;
    'trending-up': Icon;
    tv: Icon;
    twitter: Icon;
    umbrella: Icon;
    undo: Icon;
    unlock: Icon;
    upload: Icon;
    'video-off': Icon;
    video: Icon;
    'volume-down': Icon;
    'volume-mute': Icon;
    'volume-off': Icon;
    'volume-up': Icon;
    'wifi-off': Icon;
    wifi: Icon;
    'activity-outline': Icon;
    'alert-circle-outline': Icon;
    'alert-triangle-outline': Icon;
    'archive-outline': Icon;
    'arrow-back-outline': Icon;
    'arrow-circle-down-outline': Icon;
    'arrow-circle-left-outline': Icon;
    'arrow-circle-right-outline': Icon;
    'arrow-circle-up-outline': Icon;
    'arrow-down-outline': Icon;
    'arrow-downward-outline': Icon;
    'arrow-forward-outline': Icon;
    'arrow-ios-back-outline': Icon;
    'arrow-ios-downward-outline': Icon;
    'arrow-ios-forward-outline': Icon;
    'arrow-ios-upward-outline': Icon;
    'arrow-left-outline': Icon;
    'arrow-right-outline': Icon;
    'arrow-up-outline': Icon;
    'arrow-upward-outline': Icon;
    'arrowhead-down-outline': Icon;
    'arrowhead-left-outline': Icon;
    'arrowhead-right-outline': Icon;
    'arrowhead-up-outline': Icon;
    'at-outline': Icon;
    'attach-2-outline': Icon;
    'attach-outline': Icon;
    'award-outline': Icon;
    'backspace-outline': Icon;
    'bar-chart-2-outline': Icon;
    'bar-chart-outline': Icon;
    'battery-outline': Icon;
    'behance-outline': Icon;
    'bell-off-outline': Icon;
    'bell-outline': Icon;
    'bluetooth-outline': Icon;
    'book-open-outline': Icon;
    'book-outline': Icon;
    'bookmark-outline': Icon;
    'briefcase-outline': Icon;
    'browser-outline': Icon;
    'brush-outline': Icon;
    'bulb-outline': Icon;
    'calendar-outline': Icon;
    'camera-outline': Icon;
    'car-outline': Icon;
    'cast-outline': Icon;
    'charging-outline': Icon;
    'checkmark-circle-2-outline': Icon;
    'checkmark-circle-outline': Icon;
    'checkmark-outline': Icon;
    'checkmark-square-2-outline': Icon;
    'checkmark-square-outline': Icon;
    'chevron-down-outline': Icon;
    'chevron-left-outline': Icon;
    'chevron-right-outline': Icon;
    'chevron-up-outline': Icon;
    'clipboard-outline': Icon;
    'clock-outline': Icon;
    'close-circle-outline': Icon;
    'close-outline': Icon;
    'close-square-outline': Icon;
    'cloud-download-outline': Icon;
    'cloud-upload-outline': Icon;
    'code-download-outline': Icon;
    'code-outline': Icon;
    'collapse-outline': Icon;
    'color-palette-outline': Icon;
    'color-picker-outline': Icon;
    'compass-outline': Icon;
    'copy-outline': Icon;
    'corner-down-left-outline': Icon;
    'corner-down-right-outline': Icon;
    'corner-left-down-outline': Icon;
    'corner-left-up-outline': Icon;
    'corner-right-down-outline': Icon;
    'corner-right-up-outline': Icon;
    'corner-up-left-outline': Icon;
    'corner-up-right-outline': Icon;
    'credit-card-outline': Icon;
    'crop-outline': Icon;
    'cube-outline': Icon;
    'diagonal-arrow-left-down-outline': Icon;
    'diagonal-arrow-left-up-outline': Icon;
    'diagonal-arrow-right-down-outline': Icon;
    'diagonal-arrow-right-up-outline': Icon;
    'done-all-outline': Icon;
    'download-outline': Icon;
    'droplet-off-outline': Icon;
    'droplet-outline': Icon;
    'edit-2-outline': Icon;
    'edit-outline': Icon;
    'email-outline': Icon;
    'expand-outline': Icon;
    'external-link-outline': Icon;
    'eye-off-2-outline': Icon;
    'eye-off-outline': Icon;
    'eye-outline': Icon;
    'facebook-outline': Icon;
    'file-add-outline': Icon;
    'file-outline': Icon;
    'file-remove-outline': Icon;
    'file-text-outline': Icon;
    'film-outline': Icon;
    'flag-outline': Icon;
    'flash-off-outline': Icon;
    'flash-outline': Icon;
    'flip-2-outline': Icon;
    'flip-outline': Icon;
    'folder-add-outline': Icon;
    'folder-outline': Icon;
    'folder-remove-outline': Icon;
    'funnel-outline': Icon;
    'gift-outline': Icon;
    'github-outline': Icon;
    'globe-2-outline': Icon;
    'globe-outline': Icon;
    'google-outline': Icon;
    'grid-outline': Icon;
    'hard-drive-outline': Icon;
    'hash-outline': Icon;
    'headphones-outline': Icon;
    'heart-outline': Icon;
    'home-outline': Icon;
    'image-outline': Icon;
    'inbox-outline': Icon;
    'info-outline': Icon;
    'keypad-outline': Icon;
    'layers-outline': Icon;
    'layout-outline': Icon;
    'link-2-outline': Icon;
    'link-outline': Icon;
    'linkedin-outline': Icon;
    'list-outline': Icon;
    'loader-outline': Icon;
    'lock-outline': Icon;
    'log-in-outline': Icon;
    'log-out-outline': Icon;
    'map-outline': Icon;
    'maximize-outline': Icon;
    'menu-2-outline': Icon;
    'menu-arrow-outline': Icon;
    'menu-outline': Icon;
    'message-circle-outline': Icon;
    'message-square-outline': Icon;
    'mic-off-outline': Icon;
    'mic-outline': Icon;
    'minimize-outline': Icon;
    'minus-circle-outline': Icon;
    'minus-outline': Icon;
    'minus-square-outline': Icon;
    'monitor-outline': Icon;
    'moon-outline': Icon;
    'more-horizontal-outline': Icon;
    'more-vertical-outline': Icon;
    'move-outline': Icon;
    'music-outline': Icon;
    'navigation-2-outline': Icon;
    'navigation-outline': Icon;
    'npm-outline': Icon;
    'options-2-outline': Icon;
    'options-outline': Icon;
    'pantone-outline': Icon;
    'paper-plane-outline': Icon;
    'pause-circle-outline': Icon;
    'people-outline': Icon;
    'percent-outline': Icon;
    'person-add-outline': Icon;
    'person-delete-outline': Icon;
    'person-done-outline': Icon;
    'person-outline': Icon;
    'person-remove-outline': Icon;
    'phone-call-outline': Icon;
    'phone-missed-outline': Icon;
    'phone-off-outline': Icon;
    'phone-outline': Icon;
    'pie-chart-outline': Icon;
    'pin-outline': Icon;
    'play-circle-outline': Icon;
    'plus-circle-outline': Icon;
    'plus-outline': Icon;
    'plus-square-outline': Icon;
    'power-outline': Icon;
    'pricetags-outline': Icon;
    'printer-outline': Icon;
    'question-mark-circle-outline': Icon;
    'question-mark-outline': Icon;
    'radio-button-off-outline': Icon;
    'radio-button-on-outline': Icon;
    'radio-outline': Icon;
    'recording-outline': Icon;
    'refresh-outline': Icon;
    'repeat-outline': Icon;
    'rewind-left-outline': Icon;
    'rewind-right-outline': Icon;
    'save-outline': Icon;
    'scissors-outline': Icon;
    'search-outline': Icon;
    'settings-2-outline': Icon;
    'settings-outline': Icon;
    'shake-outline': Icon;
    'share-outline': Icon;
    'shield-off-outline': Icon;
    'shield-outline': Icon;
    'shopping-bag-outline': Icon;
    'shopping-cart-outline': Icon;
    'shuffle-2-outline': Icon;
    'shuffle-outline': Icon;
    'skip-back-outline': Icon;
    'skip-forward-outline': Icon;
    'slash-outline': Icon;
    'smartphone-outline': Icon;
    'speaker-outline': Icon;
    'square-outline': Icon;
    'star-outline': Icon;
    'stop-circle-outline': Icon;
    'sun-outline': Icon;
    'swap-outline': Icon;
    'sync-outline': Icon;
    'text-outline': Icon;
    'thermometer-minus-outline': Icon;
    'thermometer-outline': Icon;
    'thermometer-plus-outline': Icon;
    'toggle-left-outline': Icon;
    'toggle-right-outline': Icon;
    'trash-2-outline': Icon;
    'trash-outline': Icon;
    'trending-down-outline': Icon;
    'trending-up-outline': Icon;
    'tv-outline': Icon;
    'twitter-outline': Icon;
    'umbrella-outline': Icon;
    'undo-outline': Icon;
    'unlock-outline': Icon;
    'upload-outline': Icon;
    'video-off-outline': Icon;
    'video-outline': Icon;
    'volume-down-outline': Icon;
    'volume-mute-outline': Icon;
    'volume-off-outline': Icon;
    'volume-up-outline': Icon;
    'wifi-off-outline': Icon;
    'wifi-outline': Icon;
}
