import React from 'react';
import { BreakPointKeys } from '../../theme';
export interface SidebarStyleProps {
    state?: 'hidden' | 'visible' | 'compacted' | 'expanded';
    property?: 'right' | 'left' | 'start' | 'end';
    fixed?: boolean;
    containerFixed?: boolean;
    className?: string;
}
export interface SidebarProps extends SidebarStyleProps {
    compactedBreakpoints?: BreakPointKeys[];
    hiddenBreakpoints?: BreakPointKeys[];
    responsive?: boolean;
    children?: React.ReactNode[] | React.ReactNode;
    ref?: React.RefObject<SidebarRefObject>;
}
export interface SidebarRefObject {
    toggle: () => void;
    hide: () => void;
}
declare let Sidebar: React.RefForwardingComponent<SidebarRefObject, SidebarProps>;
declare const SidebarBody: React.FC<{
    children: React.ReactNode;
}>;
export { Sidebar, SidebarBody };
