import React from 'react';
import { Position, Status, Record, IconField } from '../types';
export interface ToastrRef {
    add: (message: string, title: string, option?: ToastrProps | {}) => void;
}
export interface ToastrParent {
    position?: Position;
    status?: Status;
    duration?: number;
    hasIcon?: boolean;
    destroyByClick?: boolean;
    preventDuplicates?: boolean;
}
export interface ToastrItem extends ToastrParent {
    message: string;
    title: string;
    icon?: IconField;
}
export interface ToastrProps extends ToastrParent {
    icons?: Record<Status, IconField>;
    ref?: React.RefObject<ToastrRef>;
}
declare let Toastr: React.RefForwardingComponent<ToastrRef, ToastrProps>;
export { Toastr };
