import { css } from 'styled-components';
interface Breakpoint {
    xs?: number;
    is: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
    xxl: number;
    xxxl: number;
}
export declare type BreakPointKeys = keyof Breakpoint;
declare type CSSType = typeof css;
declare const breakpoints: Breakpoint;
declare const maxContainer: Breakpoint;
declare function getGridSize(theme: any): number;
declare function getGridGutter(theme: any): number;
declare function ifWidthInBreakpoint(breakpoint?: Array<BreakPointKeys>): boolean;
declare const breakpointDown: (name: BreakPointKeys) => CSSType;
declare const breakpointUp: (name: BreakPointKeys) => CSSType;
declare const breakpointBetween: (lower: BreakPointKeys, upper: BreakPointKeys) => CSSType;
declare const breakpointOnly: (name: BreakPointKeys) => CSSType;
export { breakpointUp, breakpointDown, breakpointBetween, breakpointOnly, breakpoints, maxContainer, ifWidthInBreakpoint, getGridSize, getGridGutter, };
